nvme_mi_admin_get_log_simple(2)

NAME
nvme_mi_admin_get_log_simple - Helper for Get Log Page functions with no NSID or RAE requirements

SYNOPSIS
int nvme_mi_admin_get_log_simple (nvme_mi_ctrl_t ctrl , enum nvme_cmd_get_log_lid lid , __u32 len , void *log );

ARGUMENTS

ctrl
    Controller to query

lid Log identifier

len length of log buffer

log pointer for resulting log data

DESCRIPTION
Performs a Get Log Page Admin command for a specific log ID lid, using NVME_NSID_ALL for the namespace identifier, and rae set to false.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.